Origin shielding usage statistics
Get origin shielding usage statistics for up to 365 days starting from today.
Request URL parameters should be added as a query string after the endpoint.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)
End of the requested time period (ISO 8601/RFC 3339 format, UTC.)
CDN resources IDs by that statistics data is grouped.
To request multiple values, use:
- &resource=1&resource=2
If CDN resource ID is not specified, data related to all CDN resources is returned.
Response
Successful.
Identifier of the paid feature usage record.
Date and time when paid feature was enabled (ISO 8601/RFC 3339 format, UTC.)
Date and time when paid feature was disabled (ISO 8601/RFC 3339 format, UTC.)
It returns null if the paid feature is enabled.
Client ID.
CDN resource ID.
CDN resource CNAME.
[
{
"id": 1,
"active_from": "2020-01-21T04:36:35.473Z",
"active_to": null,
"client_id": 1,
"resource_id": 1,
"cname": "resource-1.com"
},
{
"id": 2,
"active_from": "2020-03-21T04:36:30.269Z",
"active_to": "2020-04-21T04:36:33.062Z",
"client_id": 1,
"cname": "resource-2.com"
}
]